@version 2.0
@warnings
@script modeler

/*
written by faulknermano

This LScript can only add one layer at a time.
Note that the this LScript copies and pastes objects
	incrementally, giving the impression that a layer
	was inserted. Actually a layer IS inserted. But not
	exactly in the same way as Photoshop. Note that
	because it is a series of cut and pasting, this will
	show up in Modeler's undo/redo history.
See RemoveLayer.ls, an accompanying LScript.
*/



main
{
	hi = 1;
	l = lyrdata();	//	gets array of integers lyr nums
	for(b=1;b<=size(l);b++)
		hi = l[b] if(hi<l[b]);

	curlayer = lyrfg();
	a = (hi - curlayer[1]) + 1;

	lyrsetfg(hi);

	for(i=1;i<=a;i++)
	{
		cut();
		lyrsetfg(hi+1);
		paste();
		hi--;
		lyrsetfg(hi);
	}

	lyrsetfg(curlayer[1]);
}
