@version 2.0
@warnings
@script modeler

/*
written by faulknermano

This LScript can only delete layer at a time.
Note that the this LScript copies and pastes objects
	incrementally, showing up in Modeler's	undo/redo
	history.
See InsertLayer.ls, an accompanying LScript.
*/

main
{
	hi = 1;
	content = 0;
	l = lyrdata();
	for(b=1;b<=size(l);b++)
		hi = l[b] if(hi<l[b]);
	curlayer = lyrfg();
	a = curlayer[1];

	for(i=1;i<=size(l);i++)
	{
		if(l[i] == curlayer[1])
			content = 1;
		if(content)
			break;
	}

	if(content)
	{
		reqbegin("Caution");
		ctltext("","Layer contains geometry. Do you wish to delete them?","Click OK to delete or Cancel to abort.");
		if(!reqpost())
			return;
	}
	delete();
	while(a<=hi)
	{
		lyrsetfg(a+1);
		cut();
		lyrsetfg(a);
		paste();
		a++;
	}
	lyrsetfg(curlayer[1]);
}
